--- old/usr/src/cmd/picl/plugins/common/piclevent/picl_slm.c	Sun Dec 14 23:31:18 2014
+++ new/usr/src/cmd/picl/plugins/common/piclevent/picl_slm.c	Sun Dec 14 23:31:18 2014
@@ -344,7 +344,7 @@
 		return (EAGAIN);
 	}
 
-	if (nvlist_alloc(&nvl, NV_UNIQUE_NAME_TYPE, NULL)) {
+	if (nvlist_alloc(&nvl, NV_UNIQUE_NAME_TYPE, 0)) {
 		free(ename);
 		sysevent_free(dupev);
 		return (EAGAIN);
@@ -371,7 +371,7 @@
 	if (nvlist_add_string(nvl, PICLEVENTARG_EVENT_NAME, ename) ||
 	    nvlist_add_string(nvl, PICLEVENTARG_DATA_TYPE,
 	    PICLEVENTARG_PICLEVENT_DATA) ||
-	    nvlist_pack(nvl, &pack_buf, &nvl_size, NV_ENCODE_NATIVE, NULL)) {
+	    nvlist_pack(nvl, &pack_buf, &nvl_size, NV_ENCODE_NATIVE, 0)) {
 		free(ename);
 		nvlist_free(nvl);
 		sysevent_free(dupev);
@@ -402,7 +402,7 @@
 	(void) mutex_init(&nvq_lock, USYNC_THREAD, NULL);
 	(void) cond_init(&nvq_cv, USYNC_THREAD, NULL);
 
-	if (thr_create(NULL, NULL, piclslm_deliver_thr,
+	if (thr_create(NULL, 0, piclslm_deliver_thr,
 	    NULL, THR_BOUND, &piclslm_deliver_thr_id) != 0) {
 		(void) mutex_destroy(&nvq_lock);
 		(void) cond_destroy(&nvq_cv);
